var xmlhttp;

aaManageEvent(window,"load", function() {
    aaManageEvent(aaElem("username"),"blur", validate);
    });

function validate() {

  // Usuwanie istniejących komunikatów
  var error = aaElem('errorMessage');
  if (error)
     error.parentNode.removeChild(error);

  if (!xmlhttp) xmlhttp = aaGetXmlHttpRequest();
  if (!xmlhttp) return;
  var username = aaElem("username").value;
  xmlhttp.open('GET', 'validate.php?username=' + username, true);
  xmlhttp.onreadystatechange = processValidation;
  xmlhttp.send(null);
}

function processValidation() {
  if(xmlhttp.readyState == 4 && xmlhttp.status==200) {
    var response = xmlhttp.responseText;
    if (parseInt(response) == 1)
      validateError();
  }
}
  
function validateError() {
  var div = document.createElement('div')
  div.appendChild(document.createTextNode("Podana nazwa jest już zajęta"));
  div.className = "error";
  div.id="errorMessage";
  aaElem('myform').appendChild(div);
}    
